View Issue Details

IDProjectCategoryView StatusLast Update
0001990unrealircdpublic2004-10-07 23:59
ReporterJasminAssigned Tosyzop 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Platformi686OSLinuxOS Version2.4.26
Product Version3.2.1 
Target VersionFixed in Version3.2.2 
Summary0001990: Link with hostname (not IP) broken on IPv6 compile
Descriptionlink::hostname <hostname> does not work on an IPv6 compile. /connect <linkname> does return "Couldn't connect to foo" instantly.
connect_server() returns -1 so i think there's a problem in s_bsd.c around cvp = connect_inet...

Everything works fine with the same config & a non IPv6 compile.
Steps To ReproducePut a hostname instead an IP into link::hostname
TagsNo tags attached.
3rd party modules

Activities

codemastr

2004-07-26 01:42

reporter   ~0007251

Yeah, I'm aware of this problem, I just haven't exactly figured out how to fix it.

syzop

2004-07-27 16:43

administrator   ~0007268

Last edited: 2004-10-07 19:16

I think I'll take a look at it when I got some time. There are probably even 2 problems btw *grin*.
[quote]testing quote[/quote]

edited on: 2004-10-07 19:16

Neo-Vortex

2004-10-03 09:37

reporter   ~0007857

i found this problem awhile ago but the bug tracker didnt like me back then and wouldnt let me sign up... if you really need ipv6 and hostname support you can use a little patch im using which makes it work if you have nodnscache enabled for the link

1c1
2371c2369
< if ((!aconf->ipnum.S_ADDR))
---
> if ((!aconf->ipnum.S_ADDR) || (aconf->options & CONNECT_NODNSCACHE))

apply that on s_bsd.c with patch

syzop

2004-10-07 23:59

administrator   ~0007905

Fixed in CVS [.150].
Both ipv4 and ipv6 hostnames work now (it tries ipv6 first, then ipv4).

[replaced some checks to use WHOSTENTP and some T_ANY->T_AAAA stuff (T_ANY is completely gone now ;p)]

Issue History

Date Modified Username Field Change
2004-07-24 13:34 Jasmin New Issue
2004-07-26 01:42 codemastr Note Added: 0007251
2004-07-27 16:43 syzop Note Added: 0007268
2004-10-03 09:37 Neo-Vortex Note Added: 0007857
2004-10-07 19:16 syzop Note Edited: 0007268
2004-10-07 23:04 syzop Status new => assigned
2004-10-07 23:04 syzop Assigned To => syzop
2004-10-07 23:59 syzop Status assigned => resolved
2004-10-07 23:59 syzop Fixed in Version => 3.2.2
2004-10-07 23:59 syzop Resolution open => fixed
2004-10-07 23:59 syzop Note Added: 0007905